#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;
    int a[n][2];
    for(int i=0;i<n;i++)
        for(int j=0;j<2;j++)
        cin>>a[i][j];
    if(n==1)
        cout<<0<<endl;
   int s=0;
   if(n==2)
   {
      for(int i=0;i<2;i++)
        for(int j=0;j<2;j++)
            s+=a[i][j];

        if(s==2)
            cout<<0<<endl;
        else
            cout<<1<<endl;
   }
   else
   {
      for(int i=0;i<n;i++){
        for(int j=0;j<2;j++)
            {
                s+=a[i][j];
            }
      }
        if(s==n*(n-1)*2)
            cout<<0<<endl;
        else
        {
            cout<<abs(n*(n-1)*2-s)-1<<endl;
        }
   }
    return 0;
}